<ion-content>
    <ion-fab class='fabmain' vertical="top" horizontal="start" slot="fixed">
        <ion-fab-button class='blancocolor' color="transparent" (click)="backbutton()">
            <ion-icon name="arrow-back-outline"></ion-icon>
        </ion-fab-button>
      </ion-fab>
    <ion-grid class='start'>
        <ion-row>
            <ion-col class="ion-text-center negritas">
                <ion-label class='mrd' color='morado'>Agregar Evento</ion-label>
            </ion-col>
        </ion-row>
        <ion-row>
            <ion-col size='3'>
                <ion-button color="morado" class="addbutton" lines="none" Expand="block" (click)="setnewcliente()">
                    <ion-img src='../../assets/iconos/clientes_2.png'></ion-img>
                </ion-button>
            </ion-col>
            <ion-col size='9'>
                <ion-item color="transparent" lines="none">
                    <ion-label position="floating">Cliente</ion-label>
                    <ionic-selectable [(ngModel)]="port" [items]="ports" itemValueField="id" itemTextField="name" [canSearch]="true" (onChange)="portChange($event)" (onSearch)="searchPorts($event)" >
                    </ionic-selectable>
                </ion-item>
            </ion-col>
        </ion-row>
        <ion-row>
            <ion-col>
                <ion-item color="transparent" lines="none">
                    <ion-label position="floating">Teléfono</ion-label>
                    <ion-input type='tel' [(ngModel)]="telefono"></ion-input>
                </ion-item>
            </ion-col>
        </ion-row>
        <ion-row>
            <ion-col>
                <ion-item color="transparent" lines="none">
                    <ion-label position="floating">No de Adultos</ion-label>
                    <ion-input type='number' [(ngModel)]="adultos" min="0" step="1" (ionChange)="personas()"></ion-input>
                </ion-item>
            </ion-col>
            <ion-col>
                <ion-item color="transparent" lines="none">
                    <ion-label position="floating">No de Niños</ion-label>
                    <ion-input type='number' [(ngModel)]="ninos" min="0" step="1" (ionChange)="personas()"></ion-input>
                </ion-item>
            </ion-col>
        </ion-row>
        <br />
        <br />
        <ion-row>
            <ion-col class='ion-text-center'>
                <ion-label>
                    Total de invitados: {{ tinvitados }}
                </ion-label>
            </ion-col>
        </ion-row>
        <ion-row>
            <ion-col>
                <ion-item color="transparent" lines="none">
                    <ion-label position="floating">Tipo de Evento</ion-label>
                    <ion-input [(ngModel)]="categoria"></ion-input>
                </ion-item>
            </ion-col>
        </ion-row>
        <br />
        <br />
        <br />
        <ion-row>
            <ion-col class='ion-text-center'>
                <ion-button class="savebutton" color="morado" (click)='guardar()'>Guardar</ion-button>
            </ion-col>
        </ion-row>
    </ion-grid>
</ion-content>
<ion-footer>
    <ion-row>
        <ion-col class='ion-text-center'>
            <ion-img class='fl' src='../../assets/logos/flor.png'></ion-img>
        </ion-col>
    </ion-row>
</ion-footer>